Name:          libfreetds
Version:       1.1.26
Release:       1mamba
Summary:       A database communication library for Sybase and Microsoft SQL Server
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freetds.org/
Source0:       ftp://ftp.freetds.org/pub/freetds/stable/freetds-%{version}.tar.gz
Source1:       libfreetds-0.82-tds_sysdep_public.h
Patch0:        ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/stable/cspublic.BLK_VERSION_150.patch
Patch1:        freetds-0.82-shared-libtds.patch
Patch2:        freetds-0.82-libtool.patch
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libltdl-devel
BuildRequires: libncurses-devel
BuildRequires: libnettle-devel
BuildRequires: libodbc-devel
BuildRequires: libreadline-devel
BuildRequires: libtasn1-devel
BuildRequires: libz-devel
BuildRequires: p11-kit-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
FreeTDS is a database communication library for Sybase and Microsoft SQL Server.
It includes an ODBC driver and the older DB-Library and CT-Library interfaces.
It works with tools such as DBD::Sybase and DBD::ODBC for Perl, and the Sybase and ODBC module

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
FreeTDS is a database communication library for Sybase and Microsoft SQL Server.
It includes an ODBC driver and the older DB-Library and CT-Library interfaces.
It works with tools such as DBD::Sybase and DBD::ODBC for Perl, and the Sybase and ODBC module

This package contains libraries and header files need for development.

%package doc
Group:         Documentation
Summary:       Development documentation for %{name}

%description doc
FreeTDS is a database communication library for Sybase and Microsoft SQL Server.
It includes an ODBC driver and the older DB-Library and CT-Library interfaces.
It works with tools such as DBD::Sybase and DBD::ODBC for Perl, and the Sybase and ODBC module

This package contains the development documentation for %{name}.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
FreeTDS is a database communication library for Sybase and Microsoft SQL Server.
It includes an ODBC driver and the older DB-Library and CT-Library interfaces.
It works with tools such as DBD::Sybase and DBD::ODBC for Perl, and the Sybase and ODBC module

This package contains static libraries need for development.

%prep

%setup -q -n freetds-%{version}
#%patch0 -p0
#%patch1 -p1
#%patch2 -p1

#  fix perl path
sed -i '1 s,#!.*/perl,#!%{__perl},' samples/*.pl

chmod -x samples/*.sh

rm -f m4/lib-*.m4

autoreconf -f -i
%build
%configure\
	--disable-dependency-tracking \
	--disable-rpath \
	--with-unixodbc="%{_prefix}" \
	--enable-msdblib \
	--enable-sybase-compat \
	--with-gnutls

#	--with-tdsver="4.2" \

%make \
   LDFLAGS="-lgcrypt"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%ifarch x86_64
mv -f %{buildroot}%{_includedir}/tds_sysdep_public.h \
	%{buildroot}%{_includedir}/tds_sysdep_public_64.h
mv -f samples/unixodbc.freetds.driver.template \
	samples/unixodbc.freetds.driver.template-64
%else
mv -f %{buildroot}%{_includedir}/tds_sysdep_public.h \
	%{buildroot}%{_includedir}/tds_sysdep_public_32.h
mv -f samples/unixodbc.freetds.driver.template \
	samples/unixodbc.freetds.driver.template-32
%endif
install -p -m 644 %{S:1} %{buildroot}%{_includedir}/tds_sysdep_public.h

rm -f samples/Makefile* samples/*.in samples/README

rm -rf %{buildroot}%{_docdir}/freetds-%{version}/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/freetds.conf
%config(noreplace) %{_sysconfdir}/locales.conf
%config(noreplace) %{_sysconfdir}/pool.conf
%{_bindir}/bsqldb
%{_bindir}/bsqlodbc
%{_bindir}/datacopy
%{_bindir}/defncopy
%{_bindir}/fisql
%{_bindir}/freebcp
%{_bindir}/osql
%{_bindir}/tdspool
%{_bindir}/tsql
%{_libdir}/libct.so.*
%{_libdir}/libsybdb.so.*
%{_libdir}/libtdsodbc.so.*
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/freetds.conf.5.gz
%doc AUTHORS COPYING*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libct.so
%{_libdir}/libsybdb.so
%{_libdir}/libtdsodbc.so
%doc samples
%doc BUGS ChangeLog NEWS README TODO

%files static
%defattr(-,root,root)
%{_libdir}/libct.*a
%{_libdir}/libsybdb.*a
%{_libdir}/libtdsodbc.*a

%files doc
%defattr(-,root,root)
%dir %{_docdir}/freetds
%dir %{_docdir}/freetds/images
%{_docdir}/freetds/images/*
%dir %{_docdir}/freetds/userguide
%{_docdir}/freetds/userguide/*
%dir %{_docdir}/freetds/reference
%{_docdir}/freetds/reference/*

%changelog
* Thu Apr 02 2020 Automatic Build System <autodist@mambasoft.it> 1.1.26-1mamba
- automatic version update by autodist

* Mon Jan 27 2020 Automatic Build System <autodist@mambasoft.it> 1.1.24-1mamba
- automatic version update by autodist

* Mon May 27 2019 Automatic Build System <autodist@mambasoft.it> 1.00.100-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 1.00.99-1mamba
- automatic version update by autodist

* Fri Mar 22 2019 Automatic Build System <autodist@mambasoft.it> 1.00.98-1mamba
- automatic version update by autodist

* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 1.00.97-1mamba
- automatic version update by autodist

* Thu Aug 30 2018 Automatic Build System <autodist@mambasoft.it> 1.00.96-1mamba
- automatic version update by autodist

* Wed Jun 06 2018 Automatic Build System <autodist@mambasoft.it> 1.00.91-1mamba
- automatic version update by autodist

* Wed Jun 06 2018 Automatic Build System <autodist@mambasoft.it> 1.00.87-1mamba
- automatic version update by autodist

* Tue Apr 10 2018 Automatic Build System <autodist@mambasoft.it> 1.00.86-1mamba
- automatic version update by autodist

* Mon Apr 09 2018 Automatic Build System <autodist@mambasoft.it> 1.00.85-1mamba
- automatic version update by autodist

* Wed Apr 04 2018 Automatic Build System <autodist@mambasoft.it> 1.00.84-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Automatic Build System <autodist@mambasoft.it> 1.00.83-1mamba
- automatic version update by autodist

* Tue Jun 20 2017 Automatic Build System <autodist@mambasoft.it> 1.00.44-1mamba
- automatic version update by autodist

* Fri Jun 02 2017 Automatic Build System <autodist@mambasoft.it> 1.00.40-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 1.00.27-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 1.00.15-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 1.00.9-1mamba
- automatic update by autodist

* Sun Jun 12 2016 Automatic Build System <autodist@mambasoft.it> 1.00-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 0.95.79-1mamba
- automatic version update by autodist

* Tue Oct 20 2015 Automatic Build System <autodist@mambasoft.it> 0.95.21-1mamba
- automatic version update by autodist

* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 0.95.0-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 0.92.405-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.91-2mamba
- rebuilt

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.91-1mamba
- update to 0.91

* Mon May 11 2009 gil <puntogil@libero.it> 0.82-1mamba
- package created by autospec
